summaryrefslogtreecommitdiff
path: root/packages/apache/files/init
diff options
context:
space:
mode:
authorDavid Karlstrom <daka@thg.se>2005-08-17 13:40:41 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2005-08-17 13:40:41 +0000
commite613923b68e2708c5af0a536b425b8f3600b0145 (patch)
treecdeaffca6d25b11e7b9efcf17f34bfe4ccd61374 /packages/apache/files/init
parent4ab399cc10a4ec2bec5c04a8a9f21cb983b8f85b (diff)
Add apache 2.0.54. This package only compiles nativly, and is only tested on openslug-native. Since this is not for cross I'm leaving the apache files in nonworking for the time beeing.
Diffstat (limited to 'packages/apache/files/init')
-rw-r--r--packages/apache/files/init73
1 files changed, 73 insertions, 0 deletions
diff --git a/packages/apache/files/init b/packages/apache/files/init
new file mode 100644
index 0000000000..46dae0395f
--- /dev/null
+++ b/packages/apache/files/init
@@ -0,0 +1,73 @@
+#!/bin/sh
+#
+# apache Start the apache HTTP server.
+#
+
+NAME=apache
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+DAEMON=/usr/sbin/httpd
+SUEXEC=/usr/lib/apache/suexec
+PIDFILE=/var/run/$NAME.pid
+CONF=/etc/apache/httpd.conf
+APACHECTL=/usr/sbin/apachectl
+
+trap "" 1
+export LANG=C
+export PATH
+
+test -f $DAEMON || exit 0
+test -f $APACHECTL || exit 0
+
+# ensure we don't leak environment vars into apachectl
+APACHECTL="env -i LANG=${LANG} PATH=${PATH} $APACHECTL"
+
+if egrep -q -i "^[[:space:]]*ServerType[[:space:]]+inet" $CONF
+then
+ exit 0
+fi
+
+case "$1" in
+ start)
+ echo -n "Starting web server: $NAME"
+ start-stop-daemon --start --quiet --background --exec $DAEMON
+ ;;
+
+ stop)
+ echo -n "Stopping web server: $NAME"
+ start-stop-daemon --stop --signal 3 --quiet --exec $DAEMON
+ ;;
+
+ reload)
+ echo -n "Reloading $NAME configuration"
+ start-stop-daemon --stop --signal 1 --quiet --exec $DAEMON
+ ;;
+
+ reload-modules)
+ echo -n "Reloading $NAME modules"
+ $0 stop
+ $0 start
+ ;;
+
+ restart)
+ $0 reload-modules
+ exit $?
+ ;;
+
+ force-reload)
+ $0 reload-modules
+ exit $?
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/$NAME {start|stop|reload|reload-modules|force-reload|restart}"
+ exit 1
+ ;;
+esac
+
+if [ $? == 0 ]; then
+ echo .
+ exit 0
+else
+ echo failed
+ exit 1
+fi